from libqtile import bar, layout, widget, hook
from libqtile.config import Click, Drag, Group, Key, Match, Screen
from libqtile.lazy import lazy
from libqtile.utils import guess_terminal, send_notification

widget_defaults = dict(
    font="sans",
    fontsize=12,
    padding=3,
)

extension_defaults = widget_defaults.copy()



window_name = widget.WindowName()

group_box = widget.GroupBox(
          highlight_metod='block',
          visible_groups=['1', '2', '3', '4', '5']
      )

prompt = widget.Prompt()

chord = widget.Chord(
          chords_colors={
              "launch": ("#ff0000", "#ffffff"),
          },
          name_transform=lambda name: name.upper()
      )

kb_layout = widget.KeyboardLayout(
          configured_keyboards=['us', 'cz qwerty'],
          display_map={'us':'US', 'cz qwerty':'CZ'},
      ) 

battery_widget = widget.Battery(
          format="{char}{percent:2.0%} {hour:d}:{min:02d}"
       )

clock_widget = widget.Clock(format="%y-%m-%d %a %H:%M")

screens = [
    Screen(
        wallpaper='~/.config/qtile/wallpapers/theater.jpg',
        wallpaper_mode='fill',
        
        left=bar.Gap(5),
        right=bar.Gap(5),
        bottom=bar.Gap(5),

        top=bar.Bar([
            group_box,
            prompt,
            chord,
            window_name,
            kb_layout,
            battery_widget,
            clock_widget,    
            ], 30, 
            margin=[6,6,6,6],
            border_width=[1, 1, 1, 1], 
            border_color=["ffffff", "ffffff", "ffffff","ffffff"]  # Borders are white
            ),
        ),

    Screen(
        wallpaper='~/.config/qtile/wallpapers/theater.jpg',
        wallpaper_mode='fill',
        
        left=bar.Gap(5),
        right=bar.Gap(5),
        bottom=bar.Gap(5),

        top=bar.Bar([
            group_box,
            prompt,
            chord,
            window_name,
            kb_layout,
            battery_widget, 
            clock_widget,
            ], 30, 
            margin=[6,6,6,6],
            border_width=[1, 1, 1, 1], 
            border_color=["ffffff", "ffffff", "ffffff","ffffff"]  # Borders are white
            ),
        )
    ]

